component extends="Cache"{

	fields = [
		field(
			displayName  = "Host(s)",
			name         = "host",
			defaultValue = "127.0.0.1",
			required     = true,
			description  = "A single or delimited list of hostnames of the MongoDB cluster",
			type         = "text"
		),
		field(displayName = "Port(s)",
			name          = "port",
			defaultValue  = "27017",
			required      = true,
			description   = "The port or a delimited list of ports ( multiple hosts ) MongoDb is listening on",
			type          = "text"
		),
		field(
			displayName   = "Database Name",
			name          = "database",
			defaultValue  = "cache",
			required      = true,
			description   = "The MongoDB Database to use for this cache"
		),
		field(
			displayName   = "Username(s)",
			name          = "username",
			defaultValue  = "",
			required      = false,
			description   = "A single or delimited list of usernames"
		),
		field(
			displayName   = "Password(s)",
			name          = "password",
			defaultValue  = "",
			required      = false,
			description   = "A single or delimited list of passwords",
			type		  = "password"
		),
		field(
			displayName   = "Cache Key Prefix",
			name          = "keyprefix",
			defaultValue  = "lucee-cache",
			required      = true,
			description   = "The unique cache key prefix to be used when storing keys from this cache. Remember that multiple caches can be registered against the same MongoDb Database. This will avoid collisions betwee Lucee caches."
		),
		field(
			displayName 	= "Use SSL",
			name          	= "useSSL",
			defaultValue  	= false,
			required      	= false,
			description   	= "Use SSL on the connection",
			type          	= "radio",
			values 			= "true,false"
		),
		field(displayName = "Replica Set Name (optional)",
			name          = "replicaSet",
			defaultValue  = "",
			required      = false,
			description   = "A replica set name, if required",
			type          = "text"
		),
		field(displayName = "Authentication Database (optional)",
			name          = "authSource",
			defaultValue  = "",
			required      = false,
			description   = "An authentication database, if required",
			type          = "text"
		),
		field(displayName = "Write Concern (optional)",
			name          = "writeConcern",
			defaultValue  = "",
			required      = false,
			description   = "The write concern ( e.g. 'majority' )",
			type          = "text"
		)

	];

	function getClass(){
		return "ortus.extension.cache.mongodb.MongoDbCache";
	}

	function getLabel(){
		return "Ortus MongoDb Cache";
	}

	function getDescription(){
		return "Ortus MongoDb Cache Extension will allow you to register caches so they can store their content on a distributed and highly scalable MongoDb cluster.  You can also use the extension for distributed session/client management, object functions and much more.{trial-description}";
	}

}