<cfscript>
  /**
  * Copyright (C) 2013 Ortus Solutions, Corp
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALING
  * IN THE SOFTWARE.
  */
 
 /**
  * Returns access to a cache's MongoDb Connection ( MongoCollection )
  * 
  * @cacheName The name of the registered cache connection to get a native MongoDB client from
  * 
  * @return com.mongodb.client.MongoDatabase
  */
 any function mongoDbGetCollection( string cacheName='' ){
   if( !len( arguments.cacheName ) ) arguments.cacheName = "sessions";
   try{
     return mongodbGetProvider( arguments.cacheName ).getCollection( arguments.cacheName );
   } catch( any e ){
     throw( "A connection to a MongoCached named #arguments.cacheName# could not be established.  Either the requested database or collection does not exist" );
   }
 }
 </cfscript>